#ifndef ZOOM_LIGHT_H
#define ZOOM_LIGHT_H

#include <zoom/types.h>

#define LIGHT_UNKNOWN 0
#define LIGHT_POINT 1
#define LIGHT_DIRECTIONAL 2
#define LIGHT_SPOT 3

typedef struct _LIGHT {
	unsigned char type;
	COLOR diffuse;
	VERTEX pos;
} LIGHT;


void SetAmbient(COLOR);
void AddLight(LIGHT);
void ResetLights();

#endif
